Get an agent binary download source
Server:
https://{kibana_url}
- GET /api/fleet/agent_download_sources/{sourceId}
- GET /s/{space_id}/api/fleet/agent_download_sources/{sourceId}
Refer to Spaces for more information.
Get an agent binary download source by ID.
[Required authorization] Route required privileges: fleet-agent-policies-read OR fleet-settings-read.
Path Parameters
-
sourceIdstringrequired -
The ID of the download source
Responses
Successful response
-
itemobjectrequired -
authobjectnullable -
hoststringrequired -
idstringrequired -
is_defaultboolean · default: false -
is_preconfiguredboolean -
namestringrequired -
proxy_idstringnullable -
The ID of the proxy to use for this download source. See the proxies API for more information.
-
secretsobject -
sslobject -
certificatestring -
keystring
Bad Request
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber
404
application/json
Not Found